Skip to main content
GET
By channel IDs

Fetch Feed by Channel IDs

Retrieve feed content filtered by specific channel IDs. You can filter by up to 10 channel IDs at a time.

Parameters

  • channel_ids (required): A comma-separated list of channel IDs to filter by (e.g., β€œneynar,farcaster”). Maximum of 10 channel IDs.

Node.js SDK

πŸ”— SDK Method: fetchFeedByChannelIds Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

channel_ids
string
required

Comma separated list of up to 10 channel IDs e.g. neynar,farcaster

Example:

"neynar,farcaster"

with_recasts
boolean
default:true

Include recasts in the response, true by default

viewer_fid
integer

Providing this will return a feed that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
with_replies
boolean
default:false

Include replies in the response, false by default

members_only
boolean
default:true
deprecated

Used when filter_type=channel_id. Only include casts from members of the channel. True by default.

Example:

true

fids
string

Comma separated list of FIDs to filter the feed by, up to 10 at a time

limit
integer<int32>
default:25

Number of results to fetch

Required range: 1 <= x <= 100
cursor
string

Pagination cursor.

should_moderate
boolean
default:false
deprecated

If true, only casts that have been liked by the moderator (if one exists) will be returned.

Response

Success

casts
Cast Β· object[]
required
next
NextCursor Β· object
required

Returns next cursor